KLDXREF(8)

NAME
kldxref - generate hints for the kernel loader

SYNOPSIS
kldxref [-Rdv] [-f hintsfile] path ...

DESCRIPTION
The kldxref utility is used to generate hint files which list modules, their version numbers, and the files that contain them. These hints are used by the kernel loader to determine where to find a particular KLD module.

A separate hint file is generated for each directory listed on the command line that contains modules. If no hint records are generated for a particular directory, no hint file is created, and the preexisting hint file (if there was one in that directory) is removed.

The following options are available:

-R  Recurse into subdirectories.

-d  Do not generate a hint file, but print module metadata on standard output.

-f hintsfile
    Specify a different name for the hints files than linker.hints.

-v  Operate in verbose mode.

EXAMPLES
To build hint files for both standard and add-on modules:

    kldxref /boot/kernel /boot/modules

To build hint files for all installed kernels:

    kldxref -R /boot

SEE ALSO
kld(4), kldconfig(8), kldload(8), kldstat(8), kldunload(8)

HISTORY
The kldxref utility first appeared in FreeBSD 5.0.

AUTHORS
-nosplit The kldxref utility was implemented by Boris Popov <bp@FreeBSD.org>. This manual page was written by Boris Popov <bp@FreeBSD.org> and Dag-Erling Smørgrav <des@FreeBSD.org>.